filter:
    paths:
        - lib/*
checks:
    php:
        code_rating: true
        duplication: true
        variable_existence: true
        useless_calls: true
        use_statement_alias_conflict: true
        unused_variables: true
        unused_properties: true
        unused_parameters: true
        unused_methods: true
        unreachable_code: true
        sql_injection_vulnerabilities: true
        security_vulnerabilities: true
        precedence_mistakes: true
        precedence_in_conditions: true
        parameter_non_unique: true
        no_property_on_interface: true
        no_non_implemented_abstract_methods: true
        deprecated_code_usage: true
        closure_use_not_conflicting: true
        closure_use_modifiable: true
        avoid_useless_overridden_methods: true
        avoid_conflicting_incrementers: true
        assignment_of_null_return: true
        verify_access_scope_valid: true
        verify_argument_usable_as_reference: true
        verify_property_names: true
        use_self_instead_of_fqcn: true
        uppercase_constants: true
        too_many_arguments: true
        spacing_of_function_arguments: true
        spacing_around_non_conditional_operators: true
        spacing_around_conditional_operators: true
        space_after_cast: true
        single_namespace_per_use: true
        scope_indentation:
            spaces_per_level: '4'
        return_doc_comments: true
        return_doc_comment_if_not_inferrable: true
        require_scope_for_properties: true
        require_scope_for_methods: true
        require_php_tag_first: true
        property_assignments: true
        properties_in_camelcaps: true
        php5_style_constructor: true
        parameters_in_camelcaps: true
        parameter_doc_comments: true
        param_doc_comment_if_not_inferrable: true
        optional_parameters_at_the_end: true
        one_class_per_file: true
        no_unnecessary_function_call_in_for_loop: true
        no_unnecessary_final_modifier: true
        no_trailing_whitespace: true
        no_space_inside_cast_operator: true
        no_space_before_semicolon: true
        no_short_open_tag: true
        no_commented_out_code: true
        newline_at_end_of_file: true
        missing_arguments: true
        lowercase_php_keywords: true
        lowercase_basic_constants: true
        function_in_camel_caps: true
        function_body_start_on_same_line: true
        ensure_lower_case_builtin_functions: true
        classes_in_camel_caps: true
        blank_line_after_namespace_declaration: true
        avoid_usage_of_logical_operators: true
        avoid_todo_comments: true
        avoid_tab_indentation: true
        avoid_superglobals: true
        avoid_fixme_comments: true
        avoid_corrupting_byteorder_marks: true
        avoid_duplicate_types: true
        avoid_closing_tag: true
        avoid_aliased_php_functions: true
        argument_type_checks: true
